import logging

from abb.core import get_namespace
from rdflib.namespace import Namespace
from rdflib.term import bind
from sparqltools.query import QueryBuilder


class SPARQL(QueryBuilder):
    pass


def bind_datatypes(types):
    ns = Namespace(get_namespace())

    for dtype in types:
        name = dtype.__name__
        uri = ns[name]
        logging.debug("Binding datatype (%s): %s" % (name, uri))
        bind(uri, dtype)
